post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to update a multi-factor authentication policy. To update the multi-factor authentication policy user needs policy name, new policy name, policy description, environment ID, client ID, authentication path, PingOne username and new policy name field value is optional.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| policyName | Existing name of the multi-factor authentication policy to be updated | Yes | string |
| newPolicyName | New name for the multi-factor authentication policy | No | string |
| policyDescription | Description of the multi-factor authentication policy | No | string |
| environmentId | Unique identifier of the Ping One environment | No | string |
| clientId | Unique identifier of the Ping One client | No | string |
| authenticationPath | Authentication base URL for Ping One environment | No | string |
| usernameOption | Ping One username option used for authentication | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.MFA.updatePolicy(
policyName="policy001"
)
print(response)
client.close()Requires Python 3.9 or later.